Subject: Re: [bitcoin-dev] bitcoin-dev Digest, Vol 5, Issue 2

From: [email-masked]
Date: Thu, 01 Oct 2015 03:25:56 -0700 (PDT)

Because Bitcoin XT is 1.0.0

;-)

---------- Forwarded message ----------

From: Marcel Jamin <[email-masked]>

Date: 2015-10-01 11:39 GMT+02:00

Subject: Re: [bitcoin-dev] Bitcoin Core 0.12.0 release schedule

To: Btc Drak <[email-masked]>

I guess the question then becomes why bitcoin still is <1.0.0

I'd say it's safe to say that it's used in production.

—
Regards,

On Thu, Oct 1, 2015 at 6:57 PM, null
<[email-masked]> wrote:

> Send bitcoin-dev mailing list submissions to
> 	[email-masked]
> To subscribe or unsubscribe via the World Wide Web, visit
> 	https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
> or, via email, send a message with subject or body 'help' to
> 	[email-masked]
> You can reach the person managing the list at
> 	[email-masked]
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of bitcoin-dev digest..."
> Today's Topics:
>    1. Re: Design Competition (odinn)
>    2. Re: Bitcoin Core 0.12.0 release schedule
>       (Wladimir J. van der Laan)
>    3. Re: Bitcoin Core 0.12.0 release schedule (Marcel Jamin)
>    4. Re: Bitcoin Core 0.12.0 release schedule (Btc Drak)
>    5. Fwd:  Bitcoin Core 0.12.0 release schedule (Marcel Jamin)
>    6. Re: Fwd:  Bitcoin Core 0.12.0 release schedule
>       (Wladimir J. van der Laan)
> ----------------------------------------------------------------------
> Message: 1
> Date: Thu, 01 Oct 2015 04:38:50 +0000
> From: odinn <[email-masked]>
> To: Richard Olsen <[email-masked]>, 	bitcoin-dev
> 	<[email-masked]>
> Subject: Re: [bitcoin-dev] Design Competition
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=windows-1252
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA512
> Grosses me out that you have enforced KYC as part of what you are
> doing for anyone who would decide to get involved:
> https://wiki.lykkex.com/?id=start#lykke_citizens
> Good luck with that, I'm sure not going to be a part of it, and I
> recommend that no-one else does either.
> - - O
> Richard Olsen via bitcoin-dev:
>> All,
>> 
>> We are looking for participants in a Bitcoin related competition:
>> the aim is to build a trading platform (initially for foreign
>> exchange, other assets will follow) which lets participants settle
>> their trades through the blockchain via coloured coins. To
>> facilitate a quicker trade reconciliation, the use of a sidechain
>> is a suggestion but by no means a requirement. There will be an
>> online briefing event today where we will outline the requirements
>> in more detail, though much of it we have posted on our website
>> www.lykkex.com .
>> 
>> As we want this to be a community driven effort rather than
>> something turning into a proprietary technology, all contributions
>> will be made available under a MIT license on Github.
>> 
>> I look forward to answering your questions at the online briefing
>> event or over email,
>> 
>> Thank you and kind regards, Richard Olsen
>> 
>> 
>> 
>> _______________________________________________ bitcoin-dev mailing
>> list [email-masked] 
>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>> 
> - -- 
> http://abis.io ~
> "a protocol concept to enable decentralization
> and expansion of a giving economy, and a new social good"
> https://keybase.io/odinn
> -----BEGIN PGP SIGNATURE-----
> iQEcBAEBCgAGBQJWDLjaAAoJEGxwq/inSG8CkQAH/i6603ivtZXjNw5ZlH1W2p7z
> c88sb5CcTuTUi+zEx6Q0MRUFfdYcrcBrGsua3CKU9226rpL4acD2Bby5kUPZ1h2/
> Rl5EiZa11oeqZaZaO5ZmXZ33BOaO2gxqqYEF1zBOzDgky6cqRrj8t4VAj5CKsxsP
> ktM98UqVXdcuOfBP7y/xqX1Yw9e55PpwUCtaazLo8UkPLMrtdzrbKVZBtjqGxMnG
> ZxmYku8g6xdmZAMz9xn9oVGtuMHrEjhIVycz3FMHBjoZNLE9yK4YeWyEvLI4YPFt
> KBR7HvGDava3dzMM5ugw3hgFShfegjrIunWQ/vC9RCjBMLVGVX5RgEblgQe29eY=
> =41DC
> -----END PGP SIGNATURE-----
> ------------------------------
> Message: 2
> Date: Thu, 1 Oct 2015 10:50:59 +0200
> From: "Wladimir J. van der Laan" <[email-masked]>
> To: Luke Dashjr <[email-masked]>
> Cc: Bitcoin development mailing list
> 	<[email-masked]>
> Subject: Re: [bitcoin-dev] Bitcoin Core 0.12.0 release schedule
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=utf-8
> On Wed, Sep 30, 2015 at 05:57:42PM +0000, Luke Dashjr wrote:
>> On Thursday, September 24, 2015 11:25:56 AM Wladimir J. van der Laan via 
>> bitcoin-dev wrote:
>> > 2015-12-01
>> > -----------
>> > - Feature freeze
>> 
>> Where is "Consensus freeze"? Shouldn't this be put off until after the HK 
>> workshop in case a hardfork is decided on? Or have we de-coupled it from the 
>> release process entirely anyway (since old versions need an update for it 
>> too)?
> In principle, "feature freeze" means that any large code changes will no longer go into 0.12, unless fixing critical bugs. 
> I'm not keen on postponing 0.12 for such reasons - after the HK workshop I'm sure that it will take some development/testing/review before code makes it into anything. Apart from that there's a good point to decouple consensus changes from Bitcoin Core major releases.
> We've seen lot of release date drift due to "this and this change needs to make it in" in the past, that was a major reason to switch to a time-based instead of feature-based release schedule.
> We can always do a 0.12.1.
> Wladimir
> ------------------------------
> Message: 3
> Date: Thu, 1 Oct 2015 11:05:59 +0200
> From: Marcel Jamin <[email-masked]>
> To: "Wladimir J. van der Laan" <[email-masked]>
> Cc: Bitcoin development mailing list
> 	<[email-masked]>
> Subject: Re: [bitcoin-dev] Bitcoin Core 0.12.0 release schedule
> Message-ID:
> 	<CAAUq486=[email-masked]>
> Content-Type: text/plain; charset="utf-8"
> Any particular reason bitcoin versioning doesn't follow the SemVer spec?
> 2015-10-01 10:50 GMT+02:00 Wladimir J. van der Laan via bitcoin-dev <
> [email-masked]>:
>> On Wed, Sep 30, 2015 at 05:57:42PM +0000, Luke Dashjr wrote:
>> > On Thursday, September 24, 2015 11:25:56 AM Wladimir J. van der Laan via
>> > bitcoin-dev wrote:
>> > > 2015-12-01
>> > > -----------
>> > > - Feature freeze
>> >
>> > Where is "Consensus freeze"? Shouldn't this be put off until after the HK
>> > workshop in case a hardfork is decided on? Or have we de-coupled it from
>> the
>> > release process entirely anyway (since old versions need an update for it
>> > too)?
>>
>> In principle, "feature freeze" means that any large code changes will no
>> longer go into 0.12, unless fixing critical bugs.
>>
>> I'm not keen on postponing 0.12 for such reasons - after the HK workshop
>> I'm sure that it will take some development/testing/review before code
>> makes it into anything. Apart from that there's a good point to decouple
>> consensus changes from Bitcoin Core major releases.
>>
>> We've seen lot of release date drift due to "this and this change needs to
>> make it in" in the past, that was a major reason to switch to a time-based
>> instead of feature-based release schedule.
>>
>> We can always do a 0.12.1.
>>
>> Wladimir
>> _______________________________________________
>> bitcoin-dev mailing list
>> [email-masked]
>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>>
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: <http://lists.linuxfoundation.org/pipermail/bitcoin-dev/attachments/20151001/5dca9e61/attachment-0001.html>
> ------------------------------
> Message: 4
> Date: Thu, 1 Oct 2015 10:17:52 +0100
> From: Btc Drak <[email-masked]>
> To: Marcel Jamin <[email-masked]>
> Cc: Bitcoin development mailing list
> 	<[email-masked]>
> Subject: Re: [bitcoin-dev] Bitcoin Core 0.12.0 release schedule
> Message-ID:
> 	<CADJgMzuDPoQacdrH7n_ajwuYLMZ4-Z19KZSa=w=[email-masked]>
> Content-Type: text/plain; charset="utf-8"
> On Thu, Oct 1, 2015 at 10:05 AM, Marcel Jamin via bitcoin-dev <
> [email-masked]> wrote:
>> Any particular reason bitcoin versioning doesn't follow the SemVer spec?
>>
> We do: a.b.c, the next major version is, 0.12.0, and maintenance releases
> are 0.12.1 etc. Release candidates are 0.12.0-rc1 for example.
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: <http://lists.linuxfoundation.org/pipermail/bitcoin-dev/attachments/20151001/dc91562f/attachment-0001.html>
> ------------------------------
> Message: 5
> Date: Thu, 1 Oct 2015 11:41:25 +0200
> From: Marcel Jamin <[email-masked]>
> To: Btc Drak <[email-masked]>
> Cc: Bitcoin development mailing list
> 	<[email-masked]>
> Subject: [bitcoin-dev] Fwd:  Bitcoin Core 0.12.0 release schedule
> Message-ID:
> 	<[email-masked]>
> Content-Type: text/plain; charset="utf-8"
> ---------- Forwarded message ----------
> From: Marcel Jamin <[email-masked]>
> Date: 2015-10-01 11:39 GMT+02:00
> Subject: Re: [bitcoin-dev] Bitcoin Core 0.12.0 release schedule
> To: Btc Drak <[email-masked]>
> I guess the question then becomes why bitcoin still is <1.0.0
> I'd say it's safe to say that it's used in production.
> 2015-10-01 11:17 GMT+02:00 Btc Drak <[email-masked]>:
>> On Thu, Oct 1, 2015 at 10:05 AM, Marcel Jamin via bitcoin-dev <
>> [email-masked]> wrote:
>>
>>> Any particular reason bitcoin versioning doesn't follow the SemVer spec?
>>>
>>
>> We do: a.b.c, the next major version is, 0.12.0, and maintenance releases
>> are 0.12.1 etc. Release candidates are 0.12.0-rc1 for example.
>>
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: <http://lists.linuxfoundation.org/pipermail/bitcoin-dev/attachments/20151001/17164b7e/attachment-0001.html>
> ------------------------------
> Message: 6
> Date: Thu, 1 Oct 2015 11:56:55 +0200
> From: "Wladimir J. van der Laan" <[email-masked]>
> To: Marcel Jamin <[email-masked]>
> Cc: Bitcoin development mailing list
> 	<[email-masked]>
> Subject: Re: [bitcoin-dev] Fwd:  Bitcoin Core 0.12.0 release schedule
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=utf-8
> On Thu, Oct 01, 2015 at 11:41:25AM +0200, Marcel Jamin wrote:
>> I guess the question then becomes why bitcoin still is <1.0.0
> I'll interpret the question as "why is the Bitcoin Core software still <1.0.0". Bitcoin the currency doesn't have a version, the block/transaction versions are at v3/v1 respectively, and the highest network protocol version is 70011. 
> Mostly because we don't use the numbers as a signaling mechanism. They just count up, every half year.
> Otherwise, one'd have to ask hard questions like 'is the software mature enough to be called 1.0.0', which would lead to long arguments, all of which would eventually lead to nothing more than potentially increasing a number. We're horribly stressed-out as is.
> Wladimir
> ------------------------------
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
> End of bitcoin-dev Digest, Vol 5, Issue 2
> *****************************************